Breaking changes
Definitions
For consistency, the {name} path segment has been removed. The resource name must now be provided in the request body (unchanged schema).
|
Old |
New |
|---|---|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Notes
-
Request/response formats did not change. Only paths and the
{name}parameter location changed. -
Server now reads the
namefrom the request body
There was also another endpoint in definitions resource that we decided to update path for to make it more self describing.
GET /definitions/workflownames => GET /definitions/workflows/stats
Shares
Removed endpoint PUT /share/invalidate
Rationale: not used and did not fit overall workflow design.
Non-breaking changes
Settings
GET /settings/parent/{type}
Returns the effective “parent” settings for a given type by merging up the hierarchy (e.g., user → group) to provide default values.
Shares
POST /shares now accepts an optional field to secure external share tokens with liveness verification:
-
livenessProviders: array of providers; currently supports"identomat"
Example
{
"objectType": "document",
"id": "be8cb502-3562-4b53-a7b5-4e9e8f399a60",
"type": "d_default",
"data": [
{
"sharePurpose": "sign",
"shareTo": "test456@circularo.com",
"livenessProviders": [
"identomat"
]
}
],
"signatureType": "image",
"signatureProvider": "internal",
"signatureFields": [
{
"type": "signature",
"pages": [
1
],
"position": {
"percentHeight": 0.12498265093684942,
"percentWidth": 0.4888569699463889,
"percentX": 0.1,
"percentY": 0.1
},
"required": true
"user": [
"test456@circularo.com"
]
}
]
}
New helper endpoints
-
GET /share/liveness/generate/{liveness_provider}
Generates a liveness detection token and a URL for external recipients. -
GET /share/liveness/result
Finalizes the liveness verification process for external recipients accessing shared documents.